Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.util
Class BoundingBox

    java.lang.Object
      org.pdfbox.util.BoundingBox

public class BoundingBox
extends Object

This is an implementation of a bounding box. This was originally written for the AMF parser.

Version:
  $Revision: 1.5 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`BoundingBox()`

Method Summary
`float` | `getHeight()` This will get the height of this rectangle as calculated by upperRightY - lowerLeftY.
`float` | `getLowerLeftX()` Getter for property lowerLeftX.
`float` | `getLowerLeftY()` Getter for property lowerLeftY.
`float` | `getUpperRightX()` Getter for property upperRightX.
`float` | `getUpperRightY()` Getter for property upperRightY.
`float` | `getWidth()` This will get the width of this rectangle as calculated by upperRightX - lowerLeftX.
`void` | `setLowerLeftX(float lowerLeftXValue)` Setter for property lowerLeftX.
`void` | `setLowerLeftY(float lowerLeftYValue)` Setter for property lowerLeftY.
`void` | `setUpperRightX(float upperRightXValue)` Setter for property upperRightX.
`void` | `setUpperRightY(float upperRightYValue)` Setter for property upperRightY.
`String` | `toString()` This will return a string representation of this rectangle.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BoundingBox

    public BoundingBox()

Method Detail

### getLowerLeftX

    public float getLowerLeftX()

  Getter for property lowerLeftX.

  Returns:
    Value of property lowerLeftX.

### setLowerLeftX

    public void setLowerLeftX(float lowerLeftXValue)

  Setter for property lowerLeftX.

  Parameters:
    `lowerLeftXValue` - New value of property lowerLeftX.

### getLowerLeftY

    public float getLowerLeftY()

  Getter for property lowerLeftY.

  Returns:
    Value of property lowerLeftY.

### setLowerLeftY

    public void setLowerLeftY(float lowerLeftYValue)

  Setter for property lowerLeftY.

  Parameters:
    `lowerLeftYValue` - New value of property lowerLeftY.

### getUpperRightX

    public float getUpperRightX()

  Getter for property upperRightX.

  Returns:
    Value of property upperRightX.

### setUpperRightX

    public void setUpperRightX(float upperRightXValue)

  Setter for property upperRightX.

  Parameters:
    `upperRightXValue` - New value of property upperRightX.

### getUpperRightY

    public float getUpperRightY()

  Getter for property upperRightY.

  Returns:
    Value of property upperRightY.

### setUpperRightY

    public void setUpperRightY(float upperRightYValue)

  Setter for property upperRightY.

  Parameters:
    `upperRightYValue` - New value of property upperRightY.

### getWidth

    public float getWidth()

  This will get the width of this rectangle as calculated by upperRightX - lowerLeftX.

  Returns:
    The width of this rectangle.

### getHeight

    public float getHeight()

  This will get the height of this rectangle as calculated by upperRightY - lowerLeftY.

  Returns:
    The height of this rectangle.

### toString

    public String toString()

  This will return a string representation of this rectangle.

  Returns:
    This object as a string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD